## golang-github-gucumber-gucumber 0.0~git20180127.7d5c79e

=== Makefile ===
default: test

deps:
	go get ./...

build: deps
	go install ./cmd/gucumber

test: build
	go test ./...
	gucumber

## golang-github-gucumber-gucumber 0.0~git20160715.0.71608e2

=== debian/changelog ===
golang-github-gucumber-gucumber (0.0~git20160715.0.71608e2-1.1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 24 Jun 2025 17:31:04 +1000

golang-github-gucumber-gucumber (0.0~git20160715.0.71608e2-1.1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 10:11:27 +1000

golang-github-gucumber-gucumber (0.0~git20160715.0.71608e2-1.1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 12:31:23 +0530

golang-github-gucumber-gucumber (0.0~git20160715.0.71608e2-1.1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:25 +1200

golang-github-gucumber-gucumber (0.0~git20160715.0.71608e2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 17:17:37 +0100

golang-github-gucumber-gucumber (0.0~git20160715.0.71608e2-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Packaging refresh:
    - Update Standards-Version (no changes).
    - Depend on correct version of dh-golang.
    - Use golang-any for better arch support.
    - Add lintian override for static builds.
    - Drop unneeded golang-go dependency on -dev package.
    - Fix Vcs-Git URL.
  * New upstream snapshot.
    - Upstream changed import path: renaming package and adding compatibility
      links.

 -- Martín Ferrari <tincho@debian.org>  Fri, 30 Sep 2016 11:24:26 +0000

golang-github-lsegal-gucumber (0.0~git20160110.0.44a4d7e-1) unstable; urgency=medium

  * Initial release (Closes: #813913).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 09 Feb 2016 20:18:38 +1100

=== debian/control ===
Source: golang-github-gucumber-gucumber
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Martín Ferrari <tincho@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.10~),
               golang-any,
               golang-github-shiena-ansicolor-dev,
               golang-github-stretchr-testify-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/gucumber/gucumber
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-gucumber-gucumber.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-gucumber-gucumber.git
XS-Go-Import-Path: github.com/gucumber/gucumber

Package: golang-github-gucumber-gucumber-dev
Provides: golang-github-lsegal-gucumber-dev
Replaces: golang-github-lsegal-gucumber-dev (<< 0.0~git20160715.0.71608e2-1~)
Breaks: golang-github-lsegal-gucumber-dev (<< 0.0~git20160715.0.71608e2-1~)
Architecture: all
Depends: ${misc:Depends},
         golang-github-shiena-ansicolor-dev,
         golang-github-stretchr-testify-dev,
Description: Cucumber BDD-style testing for Go -- source
 An implementation of Cucumber (http://cukes.info) BDD-style testing
 for Go.
 .
 This package provides the source files.

Package: golang-github-lsegal-gucumber-dev
Section: oldlibs
Architecture: all
Depends: golang-github-gucumber-gucumber-dev, ${misc:Depends}
Description: Transitional package for golang-github-gucumber-gucumber-dev
 This is a transitional package to ease upgrades to the
 golang-github-gucumber-gucumber-dev package. It can safely be removed.

Package: gucumber
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Cucumber BDD-style testing for Go -- utility
 An implementation of Cucumber (http://cukes.info) BDD-style testing
 for Go.
 .
 This package provides command line utility "gucumber".

## golang-github-gucumber-gucumber 0.0~git20180127.7d5c79e

=== debian/control ===
Source: golang-github-gucumber-gucumber
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Martín Ferrari <tincho@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-shiena-ansicolor-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gucumber-gucumber
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gucumber-gucumber.git
Homepage: https://github.com/gucumber/gucumber
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/gucumber/gucumber

Package: golang-github-gucumber-gucumber-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-shiena-ansicolor-dev,
         golang-github-stretchr-testify-dev
Description: Cucumber BDD-style testing for Go -- source
 An implementation of Cucumber (http://cukes.info) BDD-style testing
 for Go.
 .
 This package provides the source files.

Package: golang-github-lsegal-gucumber-dev
Architecture: all
Section: oldlibs
Depends: golang-github-gucumber-gucumber-dev,
         ${misc:Depends}
Description: Transitional package for golang-github-gucumber-gucumber-dev
 This is a transitional package to ease upgrades to the
 golang-github-gucumber-gucumber-dev package. It can safely be removed.

Package: gucumber
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Cucumber BDD-style testing for Go -- utility
 An implementation of Cucumber (http://cukes.info) BDD-style testing
 for Go.
 .
 This package provides command line utility "gucumber".

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0~git%cd.%h" \
    https://github.com/gucumber/gucumber.git HEAD
